Listen 443 https

<VirtualHost _default_:{{ moodle_port }}>

DocumentRoot "{{ moodle_doc_root }}"
ServerName "{{ moodle_hostname }}"
Alias /user_agreement "/var/www/html/user_agreement"

#Amr Settings for LTI Grades
{% if groups.Development is not defined %}
SetEnvIfNoCase ^Authorization$ "(.+)" HTTP_AUTHORIZATION=$1
{% endif %}

SSLCompression off

CustomLog "logs/responsetime_log" responsetime

ErrorLog logs/ssl_error_log
TransferLog logs/ssl_access_log
LogLevel warn

SSLEngine on

SSLProtocol all -SSLv2 -SSLv3

SSLCipherSuite ECDHE-RSA-AES256-GCM-SHA384:ECDHE-RSA-AES128-GCM-SHA256:DHE-RSA-AES256-GCM-SHA384:DHE-RSA-AES128-GCM-SHA256:ECDHE-RSA-AES256-SHA384:ECDHE-RSA-AES128-SHA256:ECDHE-RSA-AES256-SHA:ECDHE-RSA-AES128-SHA:DHE-RSA-AES256-SHA256:DHE-RSA-AES128-SHA256:DHE-RSA-AES256-SHA:DHE-RSA-AES128-SHA:ECDHE-RSA-DES-CBC3-SHA:EDH-RSA-DES-CBC3-SHA:AES256-GCM-SHA384:AES128-GCM-SHA256:AES256-SHA256:AES128-SHA256:AES256-SHA:AES128-SHA:DES-CBC3-SHA:HIGH:!aNULL:!eNULL:!EXPORT:!DES:!MD5:!PSK:!RC4
SSLHonorCipherOrder on

SSLCertificateFile /etc/pki/tls/certs/{{ moodle_hostname }}.crt

SSLCertificateKeyFile /etc/pki/tls/private/{{ moodle_hostname }}.key

SSLCertificateChainFile /etc/pki/tls/certs/{{ moodle_hostname }}.crt

<Files ~ "\.(cgi|shtml|phtml|php3?)$">
    SSLOptions +StdEnvVars
</Files>
<Directory "/var/www/cgi-bin">
    SSLOptions +StdEnvVars
</Directory>

<Directory "{{ moodle_doc_root }}">
    AllowOverride All
</Directory>

<Directory "{{ moodle_doc_root }}/edoz">
        Options Indexes FollowSymLinks MultiViews
        AllowOverride All
        Require all granted
        order deny,allow
        deny from all
        allow from {{ moodle_edoz_ip }}
</Directory>

BrowserMatch "MSIE [2-5]" \
         nokeepalive ssl-unclean-shutdown \
         downgrade-1.0 force-response-1.0

CustomLog logs/ssl_request_log \
          "%t %h %{SSL_PROTOCOL}x %{SSL_CIPHER}x \"%r\" %b"

</VirtualHost>
